wifi8 2.0.0.0

Data Fields
wifi8_eth_init_param_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
wifi8_app_wifi_cb_t | pf_app_wifi_cb
wifi8_app_eth_cb_t | pf_app_eth_cb
uint8_t * | au8eth_rcv_buf
uint16_t | u16eth_rcv_buf_size
uint8_t | u8_ethernet_enable

## Field Documentation

## ◆ au8eth_rcv_buf

uint8_t* au8eth_rcv_buf

pointer to receive buffer of ethernet packet

## ◆ pf_app_eth_cb

wifi8_app_eth_cb_t pf_app_eth_cb

callback for ethernet interface.

## ◆ pf_app_wifi_cb

wifi8_app_wifi_cb_t pf_app_wifi_cb

callback for wifi notifications.

## ◆ u16eth_rcv_buf_size

uint16_t u16eth_rcv_buf_size

size of receive buffer for ethernet packet

## ◆ u8_ethernet_enable

uint8_t u8_ethernet_enable

enable ethernet mode flag

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h